# Module `blingbling.volume`

Volume widget

## Functions

set_master_control (volume_graph) | Link the widget to the master channel of your system (uses amixer).
new (args) | Create a volume_graph widget.

## Functions

set_master_control (volume_graph)
  Link the widget to the master channel of your system (uses amixer). a left clic toggle mute/unmute, wheel up to increase the volume and wheel down to decrease the volume

  ### Parameters:

  - volume_graph

  ### Usage:

      myvolume:set_master_control()

new (args)
  Create a volume_graph widget.

  ### Parameters:

  - args Standard widget() arguments. This is a table that accepts different keys:

    `{ cmd = "amixer -c 1", label = "$percent%", graph_color = "#005500" }`

    The default cmd is "amixer" which should be good enough if you only have one audio output. You can provide another command based on your need. For example, the "amixer -c 1" command has been given by k3rni contributor and allow to select the audio card. (see https://github.com/cedlemo/blingbling/pull/30 for more information.

    The other keys are those related to the graph itself and are the same that those used with the triangular_progress_graph

  ### Returns:

  A graph widget.

generated by LDoc 1.4.3 Last updated 2015-08-04 10:16:50